org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ConsolePseudoProcess

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.ConsolePseudoProcess

    public class ConsolePseudoProcess
    extends PlatformObject

This process corresponds to a Debugger-Chrome connection and its main purpose is to expose connection log (see process console in UI).

### Nested Class Summary

Nested Classes
`static class` `ConsolePseudoProcess.Retransmitter` Responsible for getting text as `Writer` and retransmitting it as `IStreamMonitor` to whoever is interested.

### Constructor Summary

Constructors
Constructor and Description
`ConsolePseudoProcess(ILaunch launch, java.lang.String name, ConsolePseudoProcess.Retransmitter retransmitter, ITerminate connectionTerminate)` Constructs a ConsolePseudoProcess, adding this process to the given launch.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canTerminate()`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`java.lang.String` `getAttribute(java.lang.String key)`
`int` `getExitValue()`
`java.lang.String` `getLabel()`
`ILaunch` `getLaunch()`
`java.io.Writer` `getOutputWriter()`
`IStreamsProxy` `getStreamsProxy()`
`boolean` `isTerminated()`
`void` `setAttribute(java.lang.String key, java.lang.String value)`
`void` `terminate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConsolePseudoProcess

    public ConsolePseudoProcess(ILaunch launch,
                                java.lang.String name,
                                ConsolePseudoProcess.Retransmitter retransmitter,
                                ITerminate connectionTerminate)

Constructs a ConsolePseudoProcess, adding this process to the given launch.

Parameters:
  `launch` - the parent launch of this process
  `name` - the label used for this process

### Method Detail

#### getOutputWriter

    public java.io.Writer getOutputWriter()

Returns:
  writer which directs its contents to process console

#### getLabel

    public java.lang.String getLabel()

#### getLaunch

    public ILaunch getLaunch()

#### isTerminated

    public boolean isTerminated()

#### terminate

    public void terminate()
                   throws DebugException

Throws:
  `DebugException`

#### canTerminate

    public boolean canTerminate()

#### getStreamsProxy

    public IStreamsProxy getStreamsProxy()

#### setAttribute

    public void setAttribute(java.lang.String key,
                             java.lang.String value)

#### getAttribute

    public java.lang.String getAttribute(java.lang.String key)

#### getExitValue

    public int getExitValue()
                     throws DebugException

Throws:
  `DebugException`

#### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)